Bio::ViennaNGS::Bed(3)

NAME
Bio::ViennaNGS::Bed - Object-oriented interface for manipulation of genomic interval data in BED format

SYNOPSIS
  use Bio::ViennaNGS::Bed;

  my $bedobject = Bio::ViennaNGS::Bed->new();

  # compute the length of a BED12 block
  $bedobject->_build_length();

  # dump an object as BED12 line
  $bedobject->as_bed_line(12);

DESCRIPTION
This module provides a Moose interface for storage and manipulation of genomic interval data. It is primarily used as a convenience wrapper for BED data with more generic Bio::ViennaNGS classes for feature annotation, such as Bio::ViennaNGS::FeatureInterval, Bio::ViennaNGS::MinimalFeature, Bio::ViennaNGS::Feature, Bio::ViennaNGS::FeatureChain and Bio::ViennaNGS::FeatureLine.

METHODS

_build_length
    Title : _build_length

    Usage : "$obj->_build_length();"

    Function: Compute the length of a BED12 interval block / line, i.e.
              the sum over the lengths of all intervals that make up a
              BED12 entry.

    Args :

    Returns :

as_bed_line
    Title : as_bed_line

    Usage : "$obj->as_bed_line($bedtype);"

    Function: Dump the contents of the object as BED6 or BED12 line.

    Args : $bedtype can either be 6 or 12, determining BED6 or BED12
              output.

    Returns : A (tab-separated) BED6 or BED12 line as string.

DEPENDENCIES

Moose
Carp
namespace::autoclean

AUTHORS
Michael T. Wolfinger <michael@wolfinger.eu>

COPYRIGHT AND LICENSE
Copyright (C) 2015-2017 Michael T. Wolfinger <michael@wolfinger.eu>

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself, either Perl version 5.10.0 or, at your option, any later version of Perl 5 you may have available.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.